/**
*  Conexiaweb.es
*  @author conexiaweb.es <info@conexiaweb.es>
*  @copyright  2020  Conexiaweb.es
*  @license    http://conexiaweb.es
*  Great!!!    http://transfertomalaga.es | http://transfertocordoba.es | http://transfertomarbella.com/ | http://transfervalladolid.es/ | http://transfertosevilla.es/ | http://transfertogranada.es/ | http://transfertorremolinos.es/ | http://transferfuengirola.es/ | http://transferbenalmadena.es/ | http://transfertomarbella.com/ | http://transfertonerja.es/ | http://transfertomijas.es/ | http://transfertorredelmar.es/ | http://laborser.es | http://multiserviciosencordoba.es
*/
$(document).ready(function(){
    $('.getnextnumber').click(function(){
        rel = $(this).attr('rel');
        start = parseInt($('.'+rel+'_start').val());
        if(isNaN(start)) start = 0;
        step = parseInt($('.'+rel+'_step').val());
        if(isNaN(step) || step < 1 ) step = 1;
        length = parseInt($('.'+rel+'_length').val());
        if(isNaN(length) || length < 1 ) length = 1;
        format = $('.'+rel+'_format').val();
        group = [];
        $('input.groupBox_'+rel+':checked').each(function(){
            group.push($(this).val());
        });
        group = group.join(';');
        data = 'action=getnextnumber&customunerajax=true&'+$(this).parents('.addnewrule').find('input').serialize();
        $.ajax({
          url: currentIndex+'&token='+token,
          type : 'POST', 
          dataType: "json",                     
          data: data,
            })
        .done(function(data) {
            if(data.success =='true' || data.success == true){
                $('.'+rel+'_addnewrule .nextnumber').html(data.numberformat);
            }else{
                showErrorMessage(data.warrning);
            }
        });
        
        return false;
    })
    $('.choose_shortcode a').click(function() {
            shortcode = $(this).data('shortcode');
            rel = $(this).parents('.choose_shortcode').attr('rel');
            $('.'+rel+'_format').val($('.'+rel+'_format').val()+'{'+shortcode+'}');
            return false;
        });
    $('.number_input').keyup(function(){
        val = $(this).val();
        _val = parseInt(val);
        if(isNaN(_val) && _val != ''){
            _val = ''; 
        } 
        if($(this).hasClass('unsigned_number') && _val < 1) _val = '';
        $(this).val(_val);
    });
    if($('.date_val').length){
        $('.date_val').each(function(){
            $(this).datetimepicker({
                dateFormat: 'yy-mm-dd',
                timeFormat: 'hh:mm:ss tt',
                changeMonth : true,
                changeYear : true,
            });
        })
    }
    $('.addgrouprule').click(function(){
        rel = $(this).attr('rel');
        start = parseInt($('.'+rel+'_start').val());
        if(isNaN(start)) start = 0;
        step = parseInt($('.'+rel+'_step').val());
        if(isNaN(step) || step < 1 ) step = 1;
        length = parseInt($('.'+rel+'_length').val());
        if(isNaN(length) || length < 1 ) length = 1;
        format = $('.'+rel+'_format').val();
        group = [];
        $('input.groupBox_'+rel+':checked').each(function(){
            group.push($(this).val());
        });
        group = group.join(';');
        data = 'action=addgrouprule&customunerajax=true&'+$(this).parents('.addnewrule').find('input').serialize();
        $.ajax({
          url: currentIndex+'&token='+token,
          type : 'POST', 
          dataType: "json",                     
          data: data,
            })
        .done(function(data) {
            if(data.success =='true' || data.success == true){
                showSuccessMessage(data.warrning);
                if($('.rule_'+data.id_rule).length > 0){
                    //update
                    $.each(data,function(key,val){
                        if(key !='success' && key !='warrning' && key !='groups_name'){
                            $('.rule_'+data.id_rule).data(key,val);
                        }
                    })
                    $('.rule_'+data.id_rule).find('.numberformat').html(data.numberformat);
                    $('.rule_'+data.id_rule).find('.groups').html(data.groups_name);
                }else{
                    //addnew
                    new_rule = $('.'+rel+'_wp').find('.demo_data').clone();
                    new_rule.removeClass('demo_data').removeAttr('style').addClass('rule_'+data.id_rule);
                    $.each(data,function(key,val){
                        if(key !='success' && key !='warrning' && key !='groups_name'){
                            new_rule.data(key,val);
                        }
                    })
                    new_rule.find('.delete_rule').attr('rel',data.id_rule).data('type',data.type);
                    new_rule.find('.edit_rule').attr('rel',data.id_rule).data('type',data.type);
                    new_rule.find('.numberformat').html(data.numberformat);
                    new_rule.find('.groups').html(data.groups_name);
                    new_rule.appendTo($('.'+rel+'_wp table'));
                }
                $('.'+rel+'_addnewrule').stop(true,true).slideUp(500);
            }else{
                showErrorMessage(data.warrning);
            }
        });
        
        return false;
    });
    $('.addnewrule_bt').click(function(){
        rel = $(this).attr('rel');
        parrent_wp_rel = $(this).parents('.allrule_box').attr('rel');
        $.each(allgroup,function(key,val){
            $('#groupBox_'+parrent_wp_rel+'_'+val.id_group).removeAttr('disabled');
        });
        $('.'+parrent_wp_rel+'_wp table tr').each(function(){
            if(!$(this).hasClass('demo_data')){
                _groups_choose = $(this).data('groups');
                _groups_choose+='';
                groups_choose = _groups_choose.split(',');
                if(groups_choose)
                    $.each(groups_choose,function(_key,_val){
                        $("input[name=\"groupBox_"+parrent_wp_rel+"[]\"][value="+_val+"]").attr('disabled','disabled');
                    });
            }
        })
        $('.'+parrent_wp_rel+'_addnewrule').find('input:text').val('');
        $('.'+parrent_wp_rel+'_addnewrule').find('input[name="id_rule"]').val('');
        $('.'+parrent_wp_rel+'_addnewrule').find('input:checkbox').prop("checked",false);
        $('.'+rel+'_addnewrule').slideToggle(500);
        return false;
    })
    $('#gwadvancedinvoice_tabs a.list-group-item').click(function(){
        id = $(this).attr('id');
        $('#gwadvancedinvoice_tabs a.list-group-item').stop(true,true).removeClass('active');
        $(this).stop(true,true).addClass('active');
        $('.gwadvancedinvoice_tab_content').stop(true,true).removeClass('active');
        $('#'+id+'_wp').stop(true,true).addClass('active');
        return false;
    });
    $('.delete_rule').live('click',function(){
        if(confirm(confirm_delete_text)){
            rel = $(this).attr('rel');
            type = $(this).data('type');
            data = 'action=removerule&customunerajax=true&id='+rel+'&type='+type;
            $.ajax({
              url: currentIndex+'&token='+token,
              type : 'POST', 
              dataType: "json",                     
              data: data,
                })
            .done(function(data) {
                if(data.success =='true' || data.success == true){
                    showSuccessMessage(data.warrning);
                    $('.rule_'+rel).remove();
                }else{
                    showErrorMessage(data.warrning);
                }
            });
        }
        return false;
    });
    $('.edit_rule').live('click',function(){
        rel = $(this).attr('rel');
        parrent_wp_rel = $(this).parents('.allrule_box').attr('rel');
        $.each(allgroup,function(key,val){
            $('#groupBox_'+parrent_wp_rel+'_'+val.id_group).removeAttr('disabled');
        });
        $('.'+parrent_wp_rel+'_wp table tr').each(function(){
            if(!$(this).hasClass('demo_data') && !$(this).hasClass('rule_'+rel)){
                _groups_choose = $(this).data('groups');
                _groups_choose+='';
                groups_choose = _groups_choose.split(',');
                if(groups_choose)
                    $.each(groups_choose,function(_key,_val){
                        $("input[name=\"groupBox_"+parrent_wp_rel+"[]\"][value="+_val+"]").attr('disabled','disabled');
                    });
            }
        })
        $('.'+parrent_wp_rel+'_addnewrule').stop(true,true).slideDown(500);
        $('.'+parrent_wp_rel+'_addnewrule').find('input:text').val('');
        $('.'+parrent_wp_rel+'_addnewrule').find('input[name="id_rule"]').val('');
        $('.'+parrent_wp_rel+'_addnewrule').find('input:checkbox').prop("checked",false);
        $.each($('.rule_'+rel).data(),function(key,val){
            if(key == 'groups'){
                if(val !=''){
                    val+='';
                    groups = val.split(',');
                    if(groups)
                        $.each(groups,function(_key,_val){
                            $("input[name=\"groupBox_"+parrent_wp_rel+"[]\"][value="+_val+"]").prop("checked",true);
                        });
                }
            }else if(key == 'resettype')
            {
                $("input[name="+parrent_wp_rel+"_reset][value='"+val+"']").prop("checked",true);
            }
            else
                $('.'+parrent_wp_rel+'_addnewrule'+' input[name="'+key+'"]').val(val);
            
        })
        
        return false;
    });
    $('button[name="submitAddconfiguration"]').click(function(){
        data = 'action=saveActive&customunerajax=true&cus_delivery_active='+$('input[name="cus_delivery_active"]:checked').val()+'&cus_invoice_active='+$('input[name="cus_invoice_active"]:checked').val()+'&cus_order_active='+$('input[name="cus_order_active"]:checked').val();
        $.ajax({
          url: currentIndex+'&token='+token,
          type : 'POST', 
          dataType: "json",                     
          data: data,
            })
        .done(function(data) {
            if(data.success =='true' || data.success == true){
                showSuccessMessage(data.warrning);
            }else{
                showErrorMessage(data.warrning);
            }
        });
        return false;
    });
});