{*
*  Conexiaweb.es
*  @author conexiaweb.es <info@conexiaweb.es>
*  @copyright  2020  Conexiaweb.es
*  @license    http://conexiaweb.es
*  Great!!!    http://transfertomalaga.es | http://transfertocordoba.es | http://transfertomarbella.com/ | http://transfervalladolid.es/ | http://transfertosevilla.es/ | http://transfertogranada.es/ | http://transfertorremolinos.es/ | http://transferfuengirola.es/ | http://transferbenalmadena.es/ | http://transfertomarbella.com/ | http://transfertonerja.es/ | http://transfertomijas.es/ | http://transfertorredelmar.es/ | http://laborser.es | http://multiserviciosencordoba.es
*/
*}

{extends file="helpers/view/view.tpl"}
{block name="override_tpl"}
<div class="row conexiaweb_info">
    <div class="col-sm-2">
        <a target="_blank" href="https://conexiaweb.es" title="Conexiaweb">
            <img class="conexiaweb_logo" src="../modules/npersonalizado/views/img/logo.png" alt="Conexiaweb" />
        </a>
    </div>
    <div class="col-sm-8">
        <ul class="other_conexiaweb_module">
            <li>
                <div class="conexiaweb_logo_wp">
                    <a target="_blank" href="https://conexiaweb.es/producto/whatsapp-para-prestashop-1-7" title="Whatsapp en tu tienda online GRATIS">
                        <img class="conexiaweb_logo" src="../modules/npersonalizado/views/img/1.jpg" alt="Whatsapp en tu tienda online GRATIS" />
                    </a>
                </div>
                <div class="conexiaweb_module_content">
                    <p class="conexiaweb_module_content_title">Whatsapp para tu tienda online GRATIS</p>
                    <p class="conexiaweb_module_content_des">Sencillo de configurar para que los visitantes puedan comunicarse por whatsapp mientras navegan por tu tienda.</p>
                </div>
                <a class="discover_btn" target="_blank" href="https://conexiaweb.es/producto/whatsapp-para-prestashop-1-7" title="Whatsapp en tu tienda online GRATIS">Ver</a>
            </li>
            <li>
                <div class="conexiaweb_logo_wp">
                    <a target="_blank" href="https://conexiaweb.es/producto/bizum-para-prestashop-1-7/" title="Pago por Bizum para prestashop GRATIS">
                        <img class="conexiaweb_logo" src="../modules/npersonalizado/views/img/2.jpg" alt="Pago por Bizum para prestashop GRATIS" />
                    </a>
                </div>
                <div class="conexiaweb_module_content">
                    <p class="conexiaweb_module_content_title">Pago por Bizum para prestashop GRATIS</p>
                    <p class="conexiaweb_module_content_des">Para poner el pago mediante Bizum en tu tienda online. Al confirmarse el pedido muestra el telefono para hacer el pago y de manda un email al cliente con todos los datos.</p>
                </div>
                <a class="discover_btn" target="_blank" href="https://conexiaweb.es/producto/bizum-para-prestashop-1-7/" title="Pago por Bizum para prestashop GRATIS">Ver</a>
            </li>
            <li>
                <div class="conexiaweb_logo_wp">
                    <a target="_blank" href="https://conexiaweb.es/producto/contrareembolso-con-recargo-para-prestashop/" title="Contrareembolso con recargo para prestashop GRATIS">
                        <img class="conexiaweb_logo" src="../modules/npersonalizado/views/img/3.jpg" alt="Contrareembolso con recargo para prestashop GRATIS" />
                    </a>
                </div>
                <div class="conexiaweb_module_content">
                    <p class="conexiaweb_module_content_title">Contrareembolso con recargo para prestashop GRATIS</p>
                    <p class="conexiaweb_module_content_des">Permite elegir el pago mediante contrareembolso pudiendo poner un recargo en este tipo de pago.</p>
                </div>
                <a class="discover_btn" target="_blank" href="https://conexiaweb.es/producto/contrareembolso-con-recargo-para-prestashop/" title="Contrareembolso con recargo para prestashop GRATIS">Ver</a>
            </li>
        </ul>
    </div>
    <div class="col-sm-2">
        <a target="_blank" href="https://conexiaweb.es/modulos-gratis-para-prestashop/" title="Conexiaweb" class="btn btn-primary conexiaweb_view_more">Ver todos en nuestra web</a>
    </div>
</div>
<div class="row">
	<div class="col-sm-2">
        <div class="list-group" id="gwadvancedinvoice_tabs">
            {if isset($tabs) && $tabs}
                {foreach $tabs as $tab}
                    <a class="list-group-item {$tab.id|escape:'html':'UTF-8'} {if isset($tab.active) && $tab.active}active{/if}" id="{$tab.id|escape:'html':'UTF-8'}" href="">{$tab.label|escape:'html':'UTF-8'}</a>
                {/foreach}
            {/if}
        </div>
	</div>
	<div class="col-sm-10">
        {if isset($contents) && $contents}
            {foreach $contents as $key=> $content}
        		<div id="{$key|escape:'html':'UTF-8'}_wp" class="{if isset($content.active) && $content.active}active{/if} gwadvancedinvoice_tab_content">
                    {if isset($isps17) && $isps17 == 1}
                        {$content.content nofilter}{* html content (generate by HelperForm). No need to escape*}
                    {else}
                        {$content.content}{* html content (generate by HelperForm). No need to escape*}   
                    {/if}
        		</div>
            {/foreach}
        {/if}
	</div>
</div>
{addJsDefL name=confirm_delete_text}{l s='Are you sure you want to delete this rule?' js=1 mod='npersonalizado'}{/addJsDefL}

{/block}
