<?php
/**
*  Conexiaweb.es
*  @author conexiaweb.es <info@conexiaweb.es>
*  @copyright  2020  Conexiaweb.es
*  @license    http://conexiaweb.es
*  Great!!!    http://transfertomalaga.es | http://transfertocordoba.es | http://transfertomarbella.com/ | http://transfervalladolid.es/ | http://transfertosevilla.es/ | http://transfertogranada.es/ | http://transfertorremolinos.es/ | http://transferfuengirola.es/ | http://transferbenalmadena.es/ | http://transfertomarbella.com/ | http://transfertonerja.es/ | http://transfertomijas.es/ | http://transfertorredelmar.es/ | http://laborser.es | http://multiserviciosencordoba.es
*/

if (!defined('_PS_VERSION_'))
    exit;
function upgrade_module_1_3_0($module)
{
    $moduleObj = Module::getInstanceByName('npersonalizado');
    $moduleObj->unregisterHook('displayBackOfficeHeader');
    $moduleObj->registerHook('actionAdminControllerSetMedia');
    Db::getInstance()->Execute('ALTER TABLE `'._DB_PREFIX_.'conexcustomnumber` ADD COLUMN `current_counter_nbr` int(10) NULL DEFAULT  "0"');
    $sql = 'SELECT * FROM `'._DB_PREFIX_.'conexcustomnumber`';
    $all_customnumber = Db::getInstance()->ExecuteS($sql);
    if($all_customnumber) {
        foreach ($all_customnumber as $numberconfig) {
            $old_reset_date = '1970-01-01 00:00:00';
            switch ((int)$numberconfig['resettype']) {
                case '0':
                    $old_reset_date = '1970-01-01 00:00:00'; // Unix timestamp
                    break;
                case '2':
                    // reset every day
                    $day_now = date('Y-m-d');
                    $old_reset_date = $day_now.' 00:00:00';
                    break;
                case '3':
                    // reset every month
                    $month_now = date('Y-m');
                    $old_reset_date = $month_now.'-01'.' 00:00:00';
                    break;
                case '4':
                    // reset every year
                    $year_now = date('Y');
                    $old_reset_date = $year_now.'-01'.'-01'.' 00:00:00';
                    break;
                case '5':
                    // reset by date
                    $time_reset_config = $numberconfig['resetdate'];
                    if($time_reset_config !=null && $time_reset_config !=''){
                        $time_reset = date('Y-m-d H:i:s',strtotime($time_reset_config));
                        $old_reset_date = $time_reset;
                    }else{
                        $old_reset_date = '1970-01-01 00:00:00'; // Unix timestamp
                    }
                    break;
            }
            $total_nbr = $moduleObj->getTotal($numberconfig['type'],$numberconfig['groups'],$old_reset_date,(int)$numberconfig['id_shop']);
            $total = $total_nbr*$numberconfig['step'];
            if((int)$numberconfig['resettype'] == 1 && $total > $numberconfig['resetnumber'] && $numberconfig['resetnumber'] > 0){
                $total = $numberconfig['start'];
            }
            $sql = 'UPDATE `'._DB_PREFIX_.'conexcustomnumber` SET current_counter_nbr='.(int)$total.' WHERE id_conexcustomnumber = '.(int)$numberconfig['id_conexcustomnumber'];
            Db::getInstance()->Execute($sql);
        }
    }
    return true;
}